Ubuntu 7.10: Instalando Apache2 + PHP5 + Mysql5 + PHPMyAdmin

Bom gente, era para eu ter postado essa dica ontem, mas é que estava tão cansado que acabei desistindo (3 a.m.), mas estou aqui agora, e vamos ao que interessa.

Situação e Preparação do Terreno

Se você está precisando de um ambiente Web voltado ao desenvolvimento de aplicações PHP, se estiver utilizando Ubuntu 6.06, Ubuntu 7.04, Ubuntu 7.10 (SERVER ou DESKTOP), pode observar este artigo e utilizá-lo para ajustar sua plataforma da melhor maneira para este fim.

Os requisitos são lógicos, ter Ubuntu 6.06, Ubuntu 7.04 ou Ubuntu 7.10 (SERVER ou DESKTOP) , desejar programar em PHP, ter uma internet “boa” para atualizar os pacotes.

Mãos a Obra

Bem, sem mais enrolação, vamos ao que interessa!

Faça TODOs os passos como ROOT.

1-> Abra o terminal (Aplicativos > Acessórios > Terminal)

2-> Use o comando abaixo:

sudo apt-get install apache2

Para testar se o apache está gerenciando às páginas, abra o seu navegador (creio que seja FireFox), e digite no campo de endereço->  http://localhost

Certamente estará funcionando.

Vamos instalar o PHP5, para isto use o comando abaixo:

sudo apt-get install php5 libapache2-mod-php5

Feito isto, reinicie o apache para que ele consiga “reler” seu arquivo de configuração já padronizado para PHP5 (mod) com o comando abaixo:

sudo /etc/init.d/apache2 restart

Para verificar se o apache está lendo direitinho arquivos PHP, acesse a página dos arquivos do apache (htdocs), que pode ser acessada assim:

sudo cd /var/www/apache-defaults/

Depois, delete o arquivo index.html com o comando:

sudo rm -rf index.html

Depois crie um arquivo PHP:

sudo vi index.php

Assim que o VI abrir, digite “i” para habilitar inserção de dados, e coloque exatamente os caracteres abaixo:

<?php phpinfo(); ?>

Para salvar e sair use as teclas “ESC”, “:”, “wq!” e pressione “ENTER”

Feito isto, acesse novamente pelo seu firefox o endereço http://localhost/arquivo.php

Se funcionar (mostrar as diretivas do php, perfeito), prossiga nos passos abaixo, do contrário, repita os procedimentos acima.

Você pode utilizar outros editores, a questão é que gosto do VI.

Seguindo mais adiante nós vamos verificar a  Instalação do Bendito Mysql5, utilize o comando abaixo:

sudo apt-get install mysql-server

Feito isso o sistema vai instalar o mysql para você e vai pedir a senha de admin do mysql, coloque uma senha e confirme com ENTER.

Agora é a parte de integração com o bendito php e INSTALAÇÃO do PhpMyAdmin, utilize o comando abaixo para “unir” as instalações:

sudo apt-get install libapache2-mod-auth-mysql php5-mysql phpmyadmin

Feito isso, só necessitará reiniciar o apache2 para que ele leia novamente os arquivos de configuração, para isso use o comando abaixo:

sudo /etc/init.d/apache2 restart

Pronto, agora você tem um “webserverZINHO” rodando em sua casa e prontinho para topar qualquer parada.

Recomendações:

Conexão Banda Larga acima de 64 kb

Máquina Simples, ou seja, SEM MUITOS RECURSOS (Linux, SEMPRE LINUX)

27 comentários sobre “Ubuntu 7.10: Instalando Apache2 + PHP5 + Mysql5 + PHPMyAdmin

  1. Allisson disse:

    Cara muito bom tutorial, mais aqui na minha máquina apareceu erro!!

    Warning: Unknown: failed to open stream: Permission denied in Unknown on line 0

    Fatal error: Unknown: Failed opening required ‘/var/www/sessoes/index.php’ (include_path=’.:/usr/share/php:/usr/share/pear’) in Unknown on line 0

  2. Danilo disse:

    Reading package lists… Done
    Building dependency tree
    Reading state information… Done
    E: Couldn’t find package apache2

    Já comecei errado…

    O que faço?

    Abraço

  3. Pimentel disse:

    Amigo, tutorial muito prático, da para perceber que a instalação é simples. Mas você sabe me dizer por que para mim, quando clico no browser no meu servidor em um arquivo .php ele abre para download e não exibe a página?
    O que esta faltando para mim?

  4. manuel disse:

    Construindo Árvore de Dependências
    Reading state information… Pronto
    php5 já é a versão mais recente.
    libapache2-mod-php5 já é a versão mais recente.
    O libapache2-mod-php5 foi definido para ser instalado manualmente.
    0 pacotes actualizados, 0 pacotes novos instalados, 0 a remover e 0 não actualizados.
    root@manecas-desktop:/home/manecas# sudo /etc/init.d/apache2 restart
    * Restarting web server apache2 apache2: Could not reliably determine the server’s fully qualified domain name, using 127.0.1.1 for ServerName
    apache2: Could not reliably determine the server’s fully qualified domain name, using 127.0.1.1 for ServerName
    [ OK ]
    root@manecas-desktop:/home/manecas#

    Está acontecer isto e não consigo por a funcionar
    que fazer?

  5. Dante disse:

    Grato pelo excelente tutorial… Depois de muitas tentativas com outros métodos finalmente consegui o Apache + Mysql + Php + Phpmyadmin.

    Mas ainda não consegui localizar o login e senha padrão do PhpMyAdmin. Pode me auxiliar a localizá-la?

  6. Marcelo Coelho disse:

    Fale amigo,
    Muito bom tutorial…
    Qaunto aos problemas de pacotes, basta fazer o apt-get update
    apt-get upgrade
    e depois as instalações.
    Falow…

  7. Alessandro disse:

    Gostaria de saber pq o phpmyadmin não se integra com os outros programas sempre tenho q puxar uma ligação manualmente para a pasta www.

    Valew pelo tuto !!

    []s

  8. jodye bordó disse:

    ~$ sudo/etc/init.d/apache2 restart
    bash: sudo/etc/init.d/apache2: Arquivo ou diretório inexistente

    O que faço para resolver isto?

    Judy

    • twint disse:

      bem amigo tente fazer o seguinte

      sudo apt-get autoremove (pacote que vc baixou do apache)
      esse comando apagara todo o seu pacote do apache e em seguida

      reinstale ele novamente sudo apt-get install apache2
      e ai e so seguir o turritorial do nosso amigo ai

      abraços

  9. David disse:

    veja o erro:
    honda@server:~$ sudo apt-get install apache2
    Lendo lista de pacotes… Pronto
    Construindo árvore de dependências
    Reading state information… Pronto
    Alguns pacotes não puderam ser instalados. Isso pode significar que
    você solicitou uma situação impossível ou se você está usando a
    distribuição instável, que alguns pacotes requeridos não foram
    criados ainda ou foram tirados do Incoming.

    Já que você solicitou uma única operação é bem provável que o pacote
    esteja simplesmente não instalável e um relato de erro sobre esse
    pacotes deve ser enviado.
    A informação a seguir pode ajudar a resolver a situação:

    Os pacotes a seguir têm dependências desencontradas:
    apache2: Depende: apache2-mpm-worker (>= 2.2.4-3ubuntu0.1) mas não vai ser instalado ou
    apache2-mpm-prefork (>= 2.2.4-3ubuntu0.1) mas não vai ser instalado ou
    apache2-mpm-event (>= 2.2.4-3ubuntu0.1) mas não vai ser instalado
    E: Pacotes quebrados

    e :

    honda@server:~$ sudo apt-get install php5 libapache2-mod-php5
    Lendo lista de pacotes… Pronto
    Construindo árvore de dependências
    Reading state information… Pronto
    Alguns pacotes não puderam ser instalados. Isso pode significar que
    você solicitou uma situação impossível ou se você está usando a
    distribuição instável, que alguns pacotes requeridos não foram
    criados ainda ou foram tirados do Incoming.
    A informação a seguir pode ajudar a resolver a situação:

    Os pacotes a seguir têm dependências desencontradas:
    libapache2-mod-php5: Depende: apache2-mpm-prefork (> 2.0.52) mas não vai ser instalado ou
    apache2-mpm-itk mas não está instalável
    Depende: apache2.2-common mas não vai ser instalado
    E: Pacotes quebrados

    e:

    honda@server:~$ sudo apt-get install mysql-server
    Lendo lista de pacotes… Pronto
    Construindo árvore de dependências
    Reading state information… Pronto
    Alguns pacotes não puderam ser instalados. Isso pode significar que
    você solicitou uma situação impossível ou se você está usando a
    distribuição instável, que alguns pacotes requeridos não foram
    criados ainda ou foram tirados do Incoming.

    Já que você solicitou uma única operação é bem provável que o pacote
    esteja simplesmente não instalável e um relato de erro sobre esse
    pacotes deve ser enviado.
    A informação a seguir pode ajudar a resolver a situação:

    Os pacotes a seguir têm dependências desencontradas:
    mysql-server: Depende: mysql-server-5.0 mas não vai ser instalado
    E: Pacotes quebrados

    e:

    honda@server:~$ sudo apt-get install libapache2-mod-auth-mysql php5-mysql phpmyadmin
    Lendo lista de pacotes… Pronto
    Construindo árvore de dependências
    Reading state information… Pronto
    E: Impossível achar pacote libapache2-mod-auth-mysql
    honda@server:~$

    e:

    honda@server:~$ sudo apt-get install php5-mysql phpmyadmin Lendo lista de pacotes… Pronto
    Construindo árvore de dependências
    Reading state information… Pronto
    php5-mysql já é a versão mais nova.
    E: Impossível achar pacote phpmyadmin
    honda@server:~$

  10. David disse:

    O servidor está atualizado, não existem pacotes a serem atualizados, então não sei qual o problema com a instalação dos servidores.
    Aguardo ajuda.
    Abraços.

  11. Philip disse:

    Ola

    Gostei do tutorial so to perdido em como saber se os testes foram feitos corretamente pois nao sei quais resultados teria que ver tem mais alguma diaca de como conferir se ta tudo rodando certinho

    • twint disse:

      cheque no http://localhost/info.php

      exe:arquivo em que você salvou seu scrapt do phpinfo

      depois de ter digitado ele na url
      cheque na documentaçao do arquivo info apertando Ctrl+f escreva no campo localizar mysql aperte “enter”
      se constar na documentaçao do info php o seu mysql esta OK
      cheque tambem o apache digite Ctrl+f escreva em localizar apache

      se constar tambem na pagina do seu php info esta tudo OK

      abraços..
      espero ter ajudado!

Deixe uma resposta

Preencha os seus dados abaixo ou clique em um ícone para log in:

Logotipo do WordPress.com

Você está comentando utilizando sua conta WordPress.com. Sair / Alterar )

Imagem do Twitter

Você está comentando utilizando sua conta Twitter. Sair / Alterar )

Foto do Facebook

Você está comentando utilizando sua conta Facebook. Sair / Alterar )

Foto do Google+

Você está comentando utilizando sua conta Google+. Sair / Alterar )

Conectando a %s